%if 0%{?mageia}
%bcond_with tests
%else
%bcond_with tests
%endif

%global section		devel

Summary:	The Most Powerful Multi-Pass Java Preprocessor
Name:		java-comment-preprocessor
Version:	6.1.4
Release:	%mkrel 7
Group:          Development/Java
License:	ASL 2.0

URL:		https://github.com/raydac/java-comment-preprocessor
Source0:	https://github.com/raydac/%name/archive/%version/%name-%version.tar.gz

Patch0:		java-comment-preprocessor-6.1.4-revert-junit5.patch
Patch1:		java-comment-preprocessor-6.1.4-mga-fix-for-new-FileSetManager.patch

BuildArch:		noarch

BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.shared:file-management)
BuildRequires:  mvn(org.codehaus.mojo:exec-maven-plugin)
%if %{with tests}
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant-testutil)
BuildRequires:  mvn(org.apache.maven.plugin-testing:maven-plugin-testing-harness)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-jar)
BuildRequires:  mvn(org.apache.maven.shared:maven-verifier)
BuildRequires:  mvn(org.mockito:mockito-all)
BuildRequires:  mvn(org.powermock:powermock-api-mockito)
BuildRequires:  mvn(org.powermock:powermock-module-junit4)
%endif

%description
It is the most powerful multi-pass preprocessor for Java
but also it can be used everywhere for text processing
if the destination technology supports Java like comment definitions.

%package javadoc
Summary:	API docs for %{name}

%description javadoc
This package contains the API Documentation for %{name}.

%prep
%autosetup -p1

# remove unpackaged and dangerous deps
%pom_remove_plugin :animal-sniffer-maven-plugin pom.xml
%pom_remove_plugin :maven-shade-plugin pom.xml

# remove any binary libs
find -name "*.jar" -or -name "*.class" | xargs rm -f

sed -i 's|1.7,1.9|1.7,12|' pom.xml

%build
%if %{with tests}
%mvn_build    -- -P'!metacheck'
%else
%mvn_build -f -- -P'!metacheck'
%endif

%install
%mvn_install

%files -f .mfiles
%license texts/LICENSE-2.0.txt
%doc texts/readme.txt

%files javadoc -f .mfiles-javadoc
%license texts/LICENSE-2.0.txt



%changelog
* Tue May 28 2024 ns80 <ns80> 6.1.4-7.mga10
+ Revision: 2068525
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 6.1.4-6.mga9
+ Revision: 1827614
- Mageia 9 Mass Rebuild

* Wed Oct 07 2020 daviddavid <daviddavid> 6.1.4-5.mga8
+ Revision: 1632527
- Allow build with jdk-11

* Sun Feb 16 2020 umeabot <umeabot> 6.1.4-4.mga8
+ Revision: 1530526
- Mageia 8 Mass Rebuild

* Mon Sep 02 2019 daviddavid <daviddavid> 6.1.4-3.mga8
+ Revision: 1436213
- disable testsuite as a workaround for too new mockito

* Thu Sep 20 2018 umeabot <umeabot> 6.1.4-2.mga7
+ Revision: 1278898
- Mageia 7 Mass Rebuild

* Sun Aug 26 2018 daviddavid <daviddavid> 6.1.4-1.mga7
+ Revision: 1254593
- new version: 6.1.4 (sync with fc29)

* Fri Sep 29 2017 daviddavid <daviddavid> 6.0.1-6.mga7
+ Revision: 1161617
- add BR maven-file-management to fix build

* Wed May 17 2017 neoclust <neoclust> 6.0.1-5.mga6
+ Revision: 1102605
- Add missing BuildRequires to fix FTBFS

* Thu Aug 11 2016 luigiwalser <luigiwalser> 6.0.1-1.mga6
+ Revision: 1045950
- imported package java-comment-preprocessor


* Fri Apr 15 2016 Pavel Kajaba <pkajaba@redhat.com> - 6.0.1-3
- Deleted unused and dangerous dependencies (review rhbz#1297347)

* Thu Apr 14 2016 Pavel Raiskup <praiskup@redhat.com> - 6.0.1-2
- don't require jpackage-utils (review rhbz#1297347)

* Tue Jan 5 2016 Pavel Kajaba <pkajaba@redhat.com> - 6.0.1-1
- Initial creation of java-comment-preprocessor package
